﻿@model IEnumerable<Project_Prn211_4.Models.Product>
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Products</title>
</head>
<body>
    <div class="container">
        <a asp-controller="Home" asp-action="Cart">Cart</a>
        <a asp-controller="Home" asp-action="Profile">Profile</a>
        <a asp-controller="Home" asp-action="Purchased">Bought</a>
        <a asp-controller="Home" asp-action="Logout">Logout</a>
    </div>

    <div class="product-container">
        @foreach (var product in Model)
        {
            <div class="product-card">
                <img class="product-image" src="@Url.Content(product.ImgPath)" alt="Product Image">
                <div class="product-name">@product.ProductName</div>
                <div class="product-price"><p>Price: $@product.Price</p></div>
                <div class="product-price"><p>Quantity: @product.Quantity</p></div>
                
                <div class="product-actions">
                    <form method="post" action="/Home/AddToCart">
                        <input type="hidden" name="productId" value="@product.ProductId" />
                        <button type="submit" @(product.Quantity == 0 ? "disabled" : "")>Add to Cart</button>
                    </form>
                    <a asp-controller="Home" asp-action="ProductDetails" asp-route-id="@product.ProductId">Details</a>
                </div>
            </div>
        }
    </div>
</body>
</html>

